%define oname   ruby-yadis

Name:       ruby-%{oname}
Version:    0.3.4
Release:    %mkrel 17
Summary:    A library for performing Yadis service discovery
License:    Apache License
Group:      Development/Ruby
URL:        http://www.openidenabled.com/yadis/libraries/ruby
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
Obsoletes:  %{oname} < %{version}-%{release}
BuildArch:  noarch

%description
A library for performing Yadis service discovery

%files
%dir %{gem_instdir}/
%{gem_instdir}/lib
%{gem_instdir}/test
%{gem_instdir}/COPYING
%{gem_instdir}/INSTALL
%{gem_instdir}/README
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}
Obsoletes:  %{oname}-doc < %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%{gem_instdir}/examples
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.3.4-17.mga10
+ Revision: 2211039
- Mageia 10 Mass Rebuild

* Fri Mar 25 2022 umeabot <umeabot> 0.3.4-16.mga9
+ Revision: 1826100
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.3.4-15.mga8
+ Revision: 1499933
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.3.4-14.mga7
+ Revision: 1275242
- Mageia 7 Mass Rebuild

* Mon Oct 31 2016 pterjan <pterjan> 0.3.4-13.mga6
+ Revision: 1064373
- Remove no longer needed patch

* Wed Feb 17 2016 umeabot <umeabot> 0.3.4-12.mga6
+ Revision: 964142
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.4-11.mga5
+ Revision: 742683
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.4-10.mga5
+ Revision: 688945
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.3.4-9.mga4
+ Revision: 562463
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 0.3.4-8.mga4
+ Revision: 538710
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 fwang <fwang> 0.3.4-7.mga4
+ Revision: 490233
- update file list
- use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 0.3.4-6.mga3
+ Revision: 396408
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.3.4-5.mga3
+ Revision: 381400
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 0.3.4-4.mga3
+ Revision: 314112
- rename package
- rename package

* Sun Feb 13 2011 shikamaru <shikamaru> 0.3.4-3.mga1
+ Revision: 51287
- imported package ruby-yadis

